<?php
// WizyTówka - admin/edycja.php
if ( !defined('WT') ) exit();

if ( !empty($b) ) {
	$podstrona = odczyt_podstrona ( $b );
	$zawartosc = $podstrona['zawartosc'];
	unset($podstrona['zawartosc']);
	$typ = odczyt_typ( $podstrona['typ_podstrony'] );
}

if ( $_SERVER['REQUEST_METHOD'] == 'POST' and $podstrona != false ) {
	
	$podstrona['ostatnia_aktualizacja'] = date(FORMAT_DATY); 

	$wyslany_formularz = true;
	$panel_administracyjny = false;
	if ( $typ['wlasne'] )
		include ( DANE . '/typy/' . $typ['nazwa'] . '_admin.php' );
	else
		include ( SYSTEM . '/typy/' . $typ['nazwa'] . '_admin.php' );
		
	$zapis_zawartosc = $zawartosc;
	zapis_podstrona ( $b, $podstrona, $zapis_zawartosc );

	$admin_naglowek['komunikat'] = $komunikat;
	
}

if ( !empty($b) ) {
	$podstrona = odczyt_podstrona ( $b );
	$zawartosc = $podstrona['zawartosc'];
}

if ( !odczyt_konf('ustawienia','markdown') )
	$admin_naglowek['css'] .= 'div.mdm-buttons { display: none; }';
if ( !odczyt_konf('ustawienia','edytor_podglad') )
	$admin_naglowek['css'] .= 'div.mdm-preview { display: none; }';

if ( odczyt_konf('ustawienia','przyjazne_adresy') )
	$z = null;
else
	$z = '?a=';
$admin_naglowek['link_podglad'] = odczyt_konf('ustawienia','adres') . '/' . $z . $b;
if ( !$podstrona )
	$admin_naglowek['tytul'] = 'Edycja';
else
	$admin_naglowek['tytul'] = '&bdquo;' . tekst($podstrona['tytul_podstrony'],false) . '&rdquo;';
include('_naglowek.php');
?>
<?php if ( empty($b) ) { ?>
<p class="uwaga">Nie podano identyfikatora podstrony.</p>
<?php } elseif ( !$podstrona ) { ?>
<p class="uwaga">Podstrona z identyfikatorem <strong><?php echo $b ?></strong> nie istnieje.</p>
<?php } elseif ( !$typ ) { ?>
<p class="uwaga">Typ <strong><?php echo $podstrona['typ_podstrony'] ?></strong> określony przy podstronie z identyfikatorem <strong><?php echo $b ?></strong> nie został zainstalowany.</p>
<?php } else {
	if ( odczyt_konf('ustawienia','edytor') ) {
?>

<script type="text/javascript">
$(function(){
	$("#edytor").mdmagick();
})
</script>

<?php
	}

	$z = '?a=' . $a . '&b=' . $b . '&kod=' . $kod . '&';
	$wyslany_formularz = false;
	$panel_administracyjny = true;
	if ( $typ['wlasne'] )
		include ( DANE . '/typy/' . $typ['nazwa'] . '_admin.php' );
	else
		include ( SYSTEM . '/typy/' . $typ['nazwa'] . '_admin.php' );

}
?>

<?php
include('_stopka.php');