<?php
// WizyTówka - admin/pliki.php
if ( !defined('WT') ) exit();

if ( $_SERVER['REQUEST_METHOD'] == 'POST' ) {

	if ( $_POST['wyslij_plik'] ) {
		if ( !empty($_FILES['plik']['name']) ) {
			if ( !sprawdz_nazwe ($_FILES['plik']['name']) )
				$admin_naglowek['komunikat'] = 'zle.Nazwa pliku jest nieprawidłowa.';
			else {
				if ( file_exists( PLIKI . '/' . prosta_nazwa($_FILES['plik']['name']) ) )
					$admin_naglowek['komunikat'] = 'zle.Plik o podanej nazwie już istnieje.';
				else {
					if ( !wyslij_plik ( $_FILES['plik'] ) )
						$admin_naglowek['komunikat'] = 2;
					else
						$admin_naglowek['komunikat'] = 'dob.Plik został wysłany.';
				}
			}
		}
		else
			$admin_naglowek['komunikat'] = 'zle.Nie wskazano pliku.';
	}
	
	if ( $_POST['usun_plik'] ) {
		if ( !empty($_POST['usuwany_plik']) ) {
			usun_plik ( PLIKI . '/' . $_POST['usuwany_plik'] );
			$admin_naglowek['komunikat'] = 'dob.Plik został usunięty.';
		}
		else
			$admin_naglowek['komunikat'] = 'zle.Nie wskazano usuwanego pliku.';
	}

}

$admin_naglowek['tytul'] = 'Pliki';
include('_naglowek.php');
?>

<form method="post">

<table>

<caption>Istniejące pliki</caption>

<tr> <th>Nazwa</th> <th class="waska-kolumna"></th> <th class="waska-kolumna">Rozmiar</th> <th class="waska-kolumna">Usuwanie</th> </tr>

<?php
$tablica = wszystkie_pliki();

if ( count($tablica) == 0 )
	echo '<tr> <td colspan="4">Brak plików.</td> </tr>';
else {
	foreach ( $tablica as $nazwa_pliku ) {
		echo '<tr> <td><a href="'.PLIKI.'/'.$nazwa_pliku.'">'.$nazwa_pliku.'</a></td> <td class="waska-kolumna"><a href="?a=naz-pliku&b='.$nazwa_pliku.'&kod='.$kod.'" class="ust-link">Nazwa</a></td> <td class="waska-kolumna">'.rozmiar_pliku(PLIKI.'/'.$nazwa_pliku,true).'</td> <td class="waska-kolumna"><input type="radio" name="usuwany_plik" value="'.$nazwa_pliku.'" /></td> </tr>'."\n";
	}
}
?>

<tr> <td></td> <td></td> <td class="waska-kolumna"><?php echo rozmiar_pliku(null,true) ?></td> <td class="waska-kolumna"><input type="submit" value="Usuń" onclick="return confirm('Czy na pewno chcesz usunąć plik?\nTa operacja jest nieodwracalna.')" /></td> </tr>

</table>

<input type="hidden" name="usun_plik" value="1" />

</form>

<form method="post" enctype="multipart/form-data">

<table>

<caption>Wysyłanie pliku</caption>

<tr> <td>Plik:</td> <td><input type="file" name="plik" /></td> </tr>

</table>

<input type="hidden" name="wyslij_plik" value="1" />

<p class="submit">
<input type="submit" value="Wyślij plik" />
</p>

</form>

<?php
include('_stopka.php');