<?php

if ( empty($zawartosc) )
	$html = null;

elseif ( count(wszystkie_podstrony()) < 1 or ( $zawartosc['podstrony'] == '' and $zawartosc['podstrony_tryb'] == 2 ) )
	komunikat ('Brak podstron.');

else {

	$html = tekst($zawartosc['tresc']);
		
	if ($zawartosc['oznaczanie'] == 1)
		$html .= "\n".'<ul>'."\n";
	elseif ($zawartosc['oznaczanie'] == 2)
		$html .= "\n".'<ol>'."\n";
	
	$zawartosc['podstrony'] = explode(',',$zawartosc['podstrony']);
	
	if ( $zawartosc['podstrony_tryb'] == 2 ) {
		$wszystkie_podstrony = $zawartosc['podstrony'];
	}
	else {
		$zawartosc['podstrony'][] = $a;
		$wszystkie_podstrony = wszystkie_podstrony();
		foreach ( $wszystkie_podstrony as $element => $podstrona2 ) {
			foreach ( $zawartosc['podstrony'] as $wykluczone ) {
				if ( $wszystkie_podstrony[$element] == $wykluczone )
					unset($wszystkie_podstrony[$element]);
			}
		}
	}
	
	if ( $zawartosc['sort_naturalnie'] )
		natsort($wszystkie_podstrony);
	else
		sort($wszystkie_podstrony);
	if ($zawartosc['kolejnosc'] == 2)
		$wszystkie_podstrony = array_reverse($wszystkie_podstrony);
	
	foreach ( $wszystkie_podstrony as $podstrona2 ) {
		$odczyt = odczyt_podstrona($podstrona2,false);
		$przeszukiwane_podstrony[$podstrona2] = array ( 'tytul' => $odczyt['tytul_podstrony'], 'identyfikator' => $podstrona2, 'ostatnia_aktualizacja' => $odczyt['ostatnia_aktualizacja'] );
	}
	
	foreach ( $przeszukiwane_podstrony as $id => $podstrona2 ) {
		$html .= '<li><a href="' . odnosnik($podstrona2['identyfikator']) . '">' . tekst($podstrona2['tytul'],false) . '</a>';
		if ( $zawartosc['ostatnia_aktualizacja'] )
			$html .= ' (' . pokaz_date($podstrona2['ostatnia_aktualizacja']) . ')';
		$html .= '</li>' . "\n";
	}
	
	if ($zawartosc['oznaczanie'] == 1)
		$html .= '</ul>'."\n";
	elseif ($zawartosc['oznaczanie'] == 2)
		$html .= '</ol>'."\n";

}