<?php

if ( $wyslany_formularz ) {

	if ( $_POST['dodaj_plik'] and !empty($_POST['nazwa']) ) {
		unset($_POST['dodaj_plik']);
		if ( $_POST['edytowane'] != '' )
			$zawartosc['pliki'][$_POST['edytowane']] = array( 'nazwa' => $_POST['nazwa'], 'opis' => $_POST['opis'] );
		else
			$zawartosc['pliki'][] = array( 'nazwa' => $_POST['nazwa'], 'opis' => $_POST['opis'] );
		$komunikat = 'dob.Plik został zapisany.';
	}
	
	if ( $_POST['usun_plik'] and $_POST['usuwane'] != '' ) {
		unset( $zawartosc['pliki'][ $_POST['usuwane'] ] );
		$komunikat = 'dob.Plik został usunięty.';
	}

	if ( $_POST['ustawienia'] ) {
		unset($_POST['ustawienia']);
		$zawartosc['ustawienia'] = bezpieczny_html($_POST);
		$komunikat = 1;
	}
	
	if ( $zawartosc['ustawienia']['kolejnosc'] < 1 )
		$zawartosc['ustawienia']['kolejnosc'] = 1;
	if ( $zawartosc['ustawienia']['wyswietlanie'] < 1 )
		$zawartosc['ustawienia']['wyswietlanie'] = 1;
	if ( $zawartosc['ustawienia']['pobierz'] == null )
		$zawartosc['ustawienia']['pobierz'] = 'Pobierz: %s.';
	
}

elseif ( $panel_administracyjny ) {

	if ( is_numeric($_GET['edycja']) and isset($zawartosc['pliki'][$_GET['edycja']]) ) {
		$edycja = true;
		$edycja_numer = $_GET['edycja'];
		$edycja_nazwa = $zawartosc['pliki'][$edycja_numer]['nazwa'];
		$edycja_opis = $zawartosc['pliki'][$edycja_numer]['opis'];
	}
	else
		$edycja = false;
	
	$pliki = wszystkie_pliki();

?>

<form method="post">

<table>

<caption><?php echo ($edycja) ? 'Edycja pliku' : 'Dodawanie pliku' ?></caption>

<tr> <td>Plik:</td> <td>

<select name="nazwa">

<?php
if ( $edycja )
	echo '<optgroup label="Wybrane"><option class="wybrane">'.$edycja_nazwa.'</option></optgroup>';
echo '<optgroup label="Pliki">';
generuj_optgroup ($pliki);
echo '</optgroup>';
?>

</select>

</td> </tr>
<?php if ( $zawartosc['ustawienia']['wyswietlanie'] == 2	) { ?> <tr> <td>Opis:</td> <td><textarea name="opis"><?php if ($edycja) { echo strip_tags($edycja_opis); } ?></textarea></td> </tr><?php } else { ?><tr> <td colspan="2"><textarea name="opis" id="edytor" class="male-pole-tekstowe"><?php if ($edycja) { echo $edycja_opis; } ?></textarea></td> </tr><?php } ?>

</table>

<?php if ($edycja) { ?><input type="hidden" name="edytowane" value="<?php echo $edycja_numer ?>" /><?php } ?>
<input type="hidden" name="dodaj_plik" value="1" />

<p class="submit">
<input type="submit" value="<?php echo ($edycja) ? 'Zapisz plik' : 'Dodaj plik' ?>" />
<?php if ($edycja) { ?><a href="<?php echo $z ?>">Nowy plik</a><?php } ?>
</p>

</form>

<form method="post">

<table>

<caption>Istniejące pliki</caption>

<tr> <th>Nazwa</th> <th>Opis</th> <th class="waska-kolumna">Usuwanie</th> </tr>

<?php
if ( count($zawartosc['pliki']) == 0 )
	echo '<tr> <td colspan="3">Brak plików.</td> </tr>';
else {
	foreach ( $zawartosc['pliki'] as $numer => $element ) {
		echo '<tr> <td> <a href="' . $z . '&edycja=' . $numer . '">' . tekst($element['nazwa'],false) . '</a> </td> <td>' . fragment($element['opis']) . '</td> <td class="waska-kolumna"><input type="radio" name="usuwane" value="' . $numer . '" /></td> </tr>' . "\n";
	}
}
?>

<tr> <td></td> <td></td> <td class="waska-kolumna"><input type="submit" value="Usuń" onclick="return confirm('Czy na pewno chcesz usunąć zdjęcie?\nTa operacja jest nieodwracalna.')" /></td> </tr>

</table>

<input type="hidden" name="usun_plik" value="1" />

</form>

<form method="post">

<table>

<caption>Ustawienia magazynu plików</caption>

<tr> <td>Kolejność:</td> <td><label><input type="radio" name="kolejnosc" value="1" <?php zaznacz_checkbox($zawartosc['ustawienia']['kolejnosc'],1) ?> />chronologicznie</label><label><input type="radio" name="kolejnosc" value="2" <?php zaznacz_checkbox($zawartosc['ustawienia']['kolejnosc'],2) ?> />chronol. odwrotnie</label><br /><label><input type="radio" name="kolejnosc" value="3" <?php zaznacz_checkbox($zawartosc['ustawienia']['kolejnosc'],3) ?> />losowo</label><label><input type="radio" name="kolejnosc" value="4" <?php zaznacz_checkbox($zawartosc['ustawienia']['kolejnosc'],4) ?> />alfabetycznie</label></td> </tr>
<tr> <td>Odnośnik pobierania:</td> <td><input type="text" name="pobierz" title="%s &mdash; nazwa i rozmiar pobieranego pliku" value="<?php echo $zawartosc['ustawienia']['pobierz'] ?>" /></td> </tr>
<tr> <td>Wyświetlanie:</td> <td><label><input type="radio" name="wyswietlanie" value="1" <?php zaznacz_checkbox($zawartosc['ustawienia']['wyswietlanie'],1) ?> />wpisy</label><label><input type="radio" name="wyswietlanie" value="2" <?php zaznacz_checkbox($zawartosc['ustawienia']['wyswietlanie'],2) ?> />tabela</label></td> </tr>
<tr> <td><label><input type="checkbox" name="opisy" value="1" <?php zaznacz_checkbox($zawartosc['ustawienia']['opisy']) ?> />pokazuj opisy (w widoku tabeli)</label></td> <td><label><input type="checkbox" name="rozmiar_plikow" value="1" <?php zaznacz_checkbox($zawartosc['ustawienia']['rozmiar_plikow']) ?> />pokazuj rozmiary plików</label></td> </tr>

</table>

<input type="hidden" name="ustawienia" value="1" />

<p class="info">W widoku tabeli z opisów usuwane jest formatowanie.</p>

<p class="submit">
<input type="submit" value="Zapisz zmiany" />
</p>

</form>

<?php
}