<?php
// WizyTówka - admin/statystyki.php
if ( !defined('WT') ) exit();

if ( $_SERVER['REQUEST_METHOD'] == 'POST' ) {

	if ( $_POST['wyczysc_statystyki'] ) {
		$_POST['wejscia_dzisiaj'] = 0;
		$_POST['wejscia_wszystkie'] = 0;
		$_POST['data_ostatniego_wejscia'] = '—';
		$admin_naglowek['komunikat'] = 'dob.Statystyki zostały wyczyszczone.';
	}
	else {
		if ( !$_POST['uzywaj_statystyk'] )
			$_POST['licznik'] = 0;
		$admin_naglowek['komunikat'] = 1;
	}
	
	zapis_konf('statystyki',$_POST);
	zapis_konf_poj('statystyki','statystyki_zewnetrzne',$_POST['statystyki_zewnetrzne'],false);
	
}

$odczyt = odczyt_konf ('statystyki');

$ac = getdate();
$najblizsza_polnoc = mktime(0,0,0,$ac['mon'],$ac['mday']+1,$ac['year']);

if ( time() > $odczyt['uplyw_waznosci_wejsc_dzisiaj'] ) {
	zapis_konf_poj( 'statystyki', 'wejscia_dzisiaj', 0 );
	$odczyt['wejscia_dzisiaj'] = 0;
	zapis_konf_poj( 'statystyki', 'uplyw_waznosci_wejsc_dzisiaj', $najblizsza_polnoc );
	$odczyt['uplyw_waznosci_wejsc_dzisiaj'] = $najblizsza_polnoc;
}

$admin_naglowek['tytul'] = 'Statystyki';
include('_naglowek.php');
?>

<form method="post">

<table>

<caption>Podstawowe statystyki</caption>

<tr> <td>Dzisiaj stronę odwiedziło:</td> <td><?php echo $odczyt['wejscia_dzisiaj'] ?> osób</td> </tr>
<tr> <td>Data ostaniego wejścia:</td> <td><?php echo pokaz_date($odczyt['data_ostatniego_wejscia']) ?></td> </tr>
<tr> <td>W ogóle stronę odwiedziło:</td> <td><?php echo $odczyt['wejscia_wszystkie'] ?> osób</td> </tr>
<tr> <td><label><input type="checkbox" name="uzywaj_statystyk" value="1" onclick="alert('Wyłączenie statystyk odwiedzin WizyTówki nie wpływa na kod statystyk zewnętrznych i nie czyści dotychczasowego licznika.')" <?php zaznacz_checkbox ($odczyt['uzywaj_statystyk']) ?> />używaj statystyk</label></td> <td><label><input type="checkbox" name="wyczysc_statystyki" value="1" onclick="alert('Wyczyszczenie statystyk odwiedzin to operacja nieodwracalna.')" />wyczyść statystyki</label></td> </tr>

</table>

<input type="hidden" name="wejscia_dzisiaj" value="<?php echo $odczyt['wejscia_dzisiaj'] ?>" />
<input type="hidden" name="data_ostatniego_wejscia" value="<?php echo $odczyt['data_ostatniego_wejscia'] ?>" />
<input type="hidden" name="wejscia_wszystkie" value="<?php echo $odczyt['wejscia_wszystkie'] ?>" />
<input type="hidden" name="uplyw_waznosci_wejsc_dzisiaj" value="<?php echo $najblizsza_polnoc ?>" />

<p class="info">Wejścia właściciela strony nie są wliczane do powyższych statystyk.</p>

<table>

<caption>Licznik odwiedzin</caption>

<tr> <td><label><input type="checkbox" name="licznik" value="1" <?php zaznacz_checkbox ($odczyt['licznik']) ?> />pokaż w stopce licznik odwiedzin</label></td> <td><input type="text" name="tekst_licznika" value="<?php echo $odczyt['tekst_licznika'] ?>" title="%s &mdash; liczba wszystkich odwiedzin" /></td> </tr>

</table>

<table>

<caption>Kod statystyk zewnętrznych</caption>

<tr> <td><textarea name="statystyki_zewnetrzne" class="szerokosc100proc" spellcheck="false"><?php echo $odczyt['statystyki_zewnetrzne'] ?></textarea></td> </tr>
<tr> <td><label><input type="checkbox" name="statystyki_zewnetrzne_niezalogowanym" value="1" <?php zaznacz_checkbox ($odczyt['statystyki_zewnetrzne_niezalogowanym']) ?> />nie dołączaj kodu statystyk zewnętrznych, gdy jestem zalogowany</label></td> </tr>

</table>

<p class="info">Jeżeli korzystasz z zaawansowanych statystyk zewnętrznych np. Google Analytics, umieść ich kod śledzący tutaj.</p>

<p class="submit">
<input type="submit" value="Zapisz zmiany" />
</p>


</form>

<?php
include('_stopka.php');