<?php
// WizyTówka - admin/wyglad.php
if ( !defined('WT') ) exit();

if ( $_SERVER['REQUEST_METHOD'] == 'POST' ) {

	if ( $b == 'edycja-motywu' ) {
	
		$motyw = odczyt_motyw( odczyt_konf('wyglad','motyw') );
		
		if ( !$motyw['wlasne'] ) {
			kopiuj_plik ( SYSTEM . '/motywy/' . $motyw['nazwa'] . '.wtm' , DANE . '/motywy/' . $motyw['nazwa'] . '.wtm' );
			kopiuj_plik ( SYSTEM . '/motywy/' . $motyw['nazwa'] . '.php' , DANE . '/motywy/' . $motyw['nazwa'] . '.php' );
			kopiuj_plik ( SYSTEM . '/motywy/' . $motyw['nazwa'] . '.css' , DANE . '/motywy/' . $motyw['nazwa'] . '.css' );
			if ( !empty($motyw['pliki_dodatkowe']) ) {
				foreach ( $motyw['pliki_dodatkowe'] as $element )
					kopiuj_plik ( SYSTEM . '/motywy/' . $motyw['nazwa'] . '_' . $element , DANE . '/motywy/' . $motyw['nazwa'] . '_' . $element );
			}
			zapis_konf_poj ( 'wyglad' , 'motyw' , 'd_'.$motyw['nazwa'] );
			$wymagaj_odczytania_motywu_wlasnego = true;
		}
		
		array_map( 'htmlspecialchars_decode', $_POST );
		
		zapisz_plik ( DANE . '/motywy/' . $motyw['nazwa'] . '.php', $_POST['php'] );
		zapisz_plik ( DANE . '/motywy/' . $motyw['nazwa'] . '.css', $_POST['css'] );
		
		$admin_naglowek['komunikat'] = 1;
		
	}
	
	else {
	
		if ( $_POST['rozmiar_tekstu'] > 70 or $_POST['rozmiar_tekstu'] < 6 )
			$_POST['rozmiar_tekstu'] = 14;
		if ( $_POST['szerokosc_strony'] < 400 )
			$_POST['szerokosc_strony'] = 400;

		zapis_konf('wyglad',$_POST);
		if ( empty($admin_naglowek['komunikat']) )
			$admin_naglowek['komunikat'] = 1;
		
	}
}

$odczyt = odczyt_konf ('wyglad');
$motyw	= odczyt_motyw($odczyt['motyw']);

if ( $b == 'edycja-motywu' )
	$admin_naglowek['tytul'] = 'Wygląd &ndash; &bdquo;' . $motyw['nazwa_motywu'] . '&rdquo;';
else
	$admin_naglowek['tytul'] = 'Wygląd';
include('_naglowek.php');
?>

<form method="post" enctype="multipart/form-data">

<?php
if ( $b == 'edycja-motywu' ) {
	if ($wymagaj_odczytania_motywu_wlasnego)
		$motyw['wlasne'] = true;
	if ( $motyw['wlasne'] )
		$plik = DANE . '/motywy/' . $motyw['nazwa'];
	else
		$plik = SYSTEM . '/motywy/' . $motyw['nazwa'];
	$plik_php = htmlspecialchars( otworz_plik ( $plik . '.php' ) );
	$plik_css = htmlspecialchars( otworz_plik ( $plik . '.css' ) );
?>
<table>

<caption>Kod PHP</caption>

<tr> <td><textarea name="php" class="duze-pole-tekstowe szerokosc100proc" spellcheck="false"><?php echo $plik_php ?></textarea></td> </tr>

</table>

<table>

<caption>Styl CSS</caption>

<tr> <td><textarea name="css" class="duze-pole-tekstowe szerokosc100proc" spellcheck="false"><?php echo $plik_css ?></textarea></td> </tr>

</table>
<?php } else { ?>
<table>

<caption>Ustawienia użytkownika</caption>

<tr> <td>Kolor tekstu:</td> <td><input type="text" name="kolor_tekstu" value="<?php echo $odczyt['kolor_tekstu'] ?>" class="color	{hash:true,pickerMode:'HVS',pickerFaceColor:'#E9E9E9',pickerBorder:0}" /></td> </tr>
<tr> <td>Kolor tła:</td> <td><input type="text" name="kolor_tla" value="<?php echo $odczyt['kolor_tla'] ?>" class="color	{hash:true,pickerMode:'HVS',pickerFaceColor:'#E9E9E9',pickerBorder:0}" /></td> </tr>
<tr> <td>Rozmiar tekstu:</td> <td><input type="number" name="rozmiar_tekstu" value="<?php echo $odczyt['rozmiar_tekstu'] ?>" min="6" max="70" /></td> </tr>
<tr> <td>Krój tekstu:</td> <td>

<select name="kroj_tekstu">
<?php
$kroje_standardowe = array ( 'Arial', 'Tahoma', 'Verdana', 'Trebuchet MS', 'Georgia', 'Times New Roman' );
$kroje_webfonts		= array ( 'Armata', 'Average Sans', 'Cantora One', 'Capriola', 'Doppio One', 'Duru Sans', 'Exo', 'Hammersmith One', 'Inder', 'Istok Web', 'Magra', 'Open Sans', 'Oxygen', 'PT Sans', 'Pontano Sans', 'Righteous', 'Scada', 'Signika Negative', 'Source Sans Pro', 'Titillium Web', 'Ubuntu', 'Voces' );

echo '<optgroup label="Wybrane"><option class="wybrane">'.$odczyt['kroj_tekstu'].'</option></optgroup>';

echo '<optgroup label="Standardowe">';
generuj_optgroup ($kroje_standardowe);
echo '</optgroup>';

echo '<optgroup label="Google WebFonts">';
generuj_optgroup ($kroje_webfonts);
echo '</optgroup>';
?>
</select>

</td> </tr>
<tr> <td>Szerokość strony:</td> <td><input type="number" name="szerokosc_strony" value="<?php echo $odczyt['szerokosc_strony'] ?>" step="25" min="400" /></td> </tr>

</table>

<?php if ( !$motyw['ustawienia_uzytkownika'] ) { ?>
<p class="uwaga">Powyższe ustawienia wyglądu nie zostaną uwzględnione, ponieważ zostały one wyłączone w aktualnie używanym motywie.</p>
<?php } ?>

<p class="info">Wykorzystanie krojów z serwisu <a href="http://google.com/webfonts" target="_blank">Google Web Fonts</a> może nieznacznie spowolnić ładowanie strony.</p>

<table>

<caption>Logo</caption>

<tr> <td>Plik:</td> <td>
<select name="logo">

<?php
$rozszerzenia = array ( 'jpeg', 'jpg', 'png', 'bmp', 'gif' );
foreach ( wszystkie_pliki() as $element ) {
	$nazwa_elementu = explode('.',strtolower($element));
	foreach ( $rozszerzenia as $koncowka ) {
		if ( $nazwa_elementu[ count($nazwa_elementu)-1 ] == $koncowka )
			$pliki[] = $element;
	}
}
if ( !empty($odczyt['logo']) )
	echo '<optgroup label="Wybrane"><option class="wybrane">'.$odczyt['logo'].'</option></optgroup>';
echo '<optgroup label="Pliki graficzne [jpg, png, bmp, gif]">';
generuj_optgroup ($pliki);
echo '</optgroup>';
?>

</select>
</td> </tr>
<tr> <td></td> <td><label><input type="checkbox" name="logo_ukryj" value="1" <?php zaznacz_checkbox($odczyt['logo_ukryj']) ?> />nie używaj logo</label></td> </tr>

</table>

<?php if ( !$motyw['logo_uzytkownika'] ) { ?>
<p class="uwaga">Powyższe ustawienia logo nie zostaną uwzględnione, ponieważ zostały one wyłączone w aktualnie używanym motywie.</p>
<?php } ?>

<table>

<caption>Favikona</caption>

<tr> <td>Plik:</td> <td>
<select name="favikona">

<?php
$rozszerzenia = array ( 'ico' );
foreach ( wszystkie_pliki() as $element ) {
	$nazwa_elementu = explode('.',strtolower($element));
	foreach ( $rozszerzenia as $koncowka ) {
		if ( $nazwa_elementu[ count($nazwa_elementu)-1 ] == $koncowka )
			$pliki2[] = $element;
	}
}
if ( !empty($odczyt['favikona']) )
	echo '<optgroup label="Wybrane"><option class="wybrane">'.$odczyt['favikona'].'</option></optgroup>';
echo '<optgroup label="Pliki ikon [ico]">';
generuj_optgroup ($pliki2);
echo '</optgroup>';
?>

</select>
</td> </tr>
<tr> <td></td> <td><label><input type="checkbox" name="favikona_ukryj" value="1" <?php zaznacz_checkbox($odczyt['favikona_ukryj']) ?> />nie używaj favikony</label></td> </tr>

</table>

<table>

<caption>Motywy</caption>

<tr> <td>Dostępne motywy:</td> <td>

<select name="motyw">
<?php
$motywy_system = glob ( SYSTEM . '/motywy/*.wtm' );
$motywy_system = array_map ( 'basename', $motywy_system );
foreach ( $motywy_system as $numer => $element ) {
	$motywy_system[$numer] = 's_' . substr ( $element, 0, strlen($element)-4 );
	$motyw_j = odczyt_motyw ( $motywy_system[$numer] );
	$motywy_system_nazwy[$numer] = $motyw_j['nazwa_motywu'];
}

$motywy_dane = glob ( DANE . '/motywy/*.wtm' );
if ( !empty($motywy_dane) ) {
	$motywy_dane = array_map ( 'basename', $motywy_dane );
	foreach ( $motywy_dane as $numer => $element ) {
		$motywy_dane[$numer] = 'd_' . substr ( $element, 0, strlen($element)-4 );
		$motyw_j = odczyt_motyw ( $motywy_dane[$numer] );
		$motywy_dane_nazwy[$numer] = $motyw_j['nazwa_motywu'] . '*';
	}
}

if ( $motyw['wlasne'] )
	$motyw['nazwa_motywu'] .= '*';
echo '<optgroup label="Wybrane"><option class="wybrane" value="'.$odczyt['motyw'].'">'.$motyw['nazwa_motywu'].'</option></optgroup>';

echo '<optgroup label="Wbudowane">';
generuj_optgroup ($motywy_system_nazwy,$motywy_system);
echo '</optgroup>';

if ( !empty($motywy_dane) ) {
	echo '<optgroup label="Własne">';
	generuj_optgroup ($motywy_dane_nazwy,$motywy_dane);
	echo '</optgroup>';
}
?>
</select>

<tr> <td></td> <td><label><input type="checkbox" name="ustawienia_uzytkownika" value="1" <?php zaznacz_checkbox($odczyt['ustawienia_uzytkownika']) ?> />użyj ustawień wyglądu użytkownika</label></td> </tr>

</td> </tr>

</table>
<?php } ?>

<p class="submit">
<input type="submit" value="Zapisz zmiany" />
<?php if ($b != 'edycja-motywu') { ?><a href="?a=wyglad&b=edycja-motywu&kod=<?php echo $kod ?>">Zaawansowana edycja motywu</a><?php } elseif ( !empty($motyw['autor']) ) ?>
</p>


</form>

<?php
include('_stopka.php');