<?php

if ( empty($zawartosc) )
	$html = null;

else {

	$hasla_zabezp = array ( 'dwanaście tysięcy' => '12000', 'pięćset dziewięćdziesiąt osiem' => '598', 'osiem milionów siedemdziesiąt dwa' => '8000072', 'trzysta osiemnaście' => '318', 'cztery tysiące dwieście' => '4200', 'siedemnaście tysięcy sto osiem' => '17108' );

	if ( $_SERVER['REQUEST_METHOD'] == 'POST' ) {
		
		if ( empty($_POST['pole_6']) )
			komunikat('Nie wpisano treści wiadomości.');
			
		elseif ( strlen($_POST['pole_6']) < $zawartosc['ustawienia']['minimum_znakow'] )
			komunikat('Wiadomość jest za krótka.');
			
		elseif ( $zawartosc['ustawienia']['zabezpieczenie'] and str_replace(' ',null,$_POST['zabezp']) != $hasla_zabezp[$_POST['zabezpK']] )
			komunikat('Podana liczba jest nieprawidłowa.');
			
		else {
		
			$html = '';		
			$tablica = array( 1 => $_POST['pole_1'], $_POST['pole_2'], $_POST['pole_3'], $_POST['pole_4'], $_POST['pole_5'] );
		
			foreach ( $tablica as $numer => $element ) {
				if ( $numer == 6 )
					continue;
				if ( $zawartosc['pola'][$numer]['widocznosc'] ) {
					$tresc .= $zawartosc['pola'][$numer]['nazwa'] . ':' . "\n";
					if ( empty($element) )
						$tresc .= '-' . "\n\n";
					else
						$tresc .= $element . "\n\n";
				}
			}
			
			$tresc .= '---' . "\n\n" . $_POST['pole_6'];
			
			if ( !empty($_POST['pole_1']) ) {
				$pl_z  = array ( 'ą', 'ć', 'ę', 'ł', 'ń', 'ś', 'ó', 'ż', 'ź', 'Ą', 'Ć', 'Ę', 'Ł', 'Ń', 'Ś', 'Ó', 'Ż', 'Ź' );
				$pl_na = array ( 'a', 'c', 'e', 'l', 'n', 's', 'o', 'z', 'z', 'A', 'C', 'E', 'L', 'N', 'S', 'O', 'Z', 'Z' );
				$temat = str_replace($pl_z,$pl_na,$_POST['pole_1']);
			}
			else
				$temat = 'Formularz kontaktowy';
		
			if ( wiadomosc( $tresc, $temat ) )
				komunikat($zawartosc['ustawienia']['komunikat_powodzenia']);
			else
				komunikat($zawartosc['ustawienia']['komunikat_niepowodzenia']);

		}
	
	}

	$html = tekst($zawartosc['tresc']) . "\n" . '<form method="post">' . "\n";
	
	if ( !$zawartosc['ustawienia']['ukryj'] ) {
	
		foreach ( $zawartosc['pola'] as $numer => $pole ) {
			if ( $pole['widocznosc'] ) {
				$html .= "\n" . '<p><label for="pole_' . $numer . '">' . tekst($pole['nazwa'],false) . '</label></p>' . "\n" . '<p>';
				if ( $pole['rozmiar'] == 2 and $pole['wymagane'] )
					$html .= '<textarea name="pole_' . $numer . '" id="pole_' . $numer . '" class="kontakt_pole" required></textarea>';
				elseif ( $pole['rozmiar'] == 2 )
					$html .= '<textarea name="pole_' . $numer . '" id="pole_' . $numer . '" class="kontakt_pole"></textarea>';
				elseif ( $pole['wymagane'] )
					$html .= '<input type="text" name="pole_' . $numer . '" id="pole_' . $numer . '" class="kontakt_pole" required />';
				else
					$html .= '<input type="text" name="pole_' . $numer . '" id="pole_' . $numer . '" class="kontakt_pole" />';
				$html .= '</p>' . "\n";
			}
		}
		
		if ( $zawartosc['ustawienia']['zabezpieczenie'] ) {
			$losowe_haslo = array_rand($hasla_zabezp);
			$html .= "\n" . '<p><label for="zabezp">Wpisz cyframi <i>' . $losowe_haslo . '</i></label></p>' . "\n" . '<p><input type="text" name="zabezp" id="zabezp" required /></p>' . "\n" . '<input type="hidden" name="zabezpK" value="' . $losowe_haslo . '" />' . "\n";
		}
		
		$html .= "\n" . '<p><input type="submit" value="' . $zawartosc['ustawienia']['przycisk_wysylania'] . '" class="kontakt_przycisk-wysylania" /></p>' . "\n\n" . '</form>' . "\n";
	
	}

}